X_TRADER® API

7.17.84.3 (win64)

Released: Apr 27, 2018 File Size: 58161960
Package Contents:
No notes available.

Important Notes

  • X_TRADER API 7.17.x and later no longer supports versions of X_TRADER® prior to 7.9.2.
  • Some X_TRADER® API applications may need to be updated when moving to X_TRADER® API 7.17.0 or higher. Specifically, existing order routing applications will need to be updated if they are to be used in environments where users are configured with multiple connections to a given TT Gateway, such as the TT Multibroker environment. For a complete details, see Using the X_TRADER® API in Multi-Connection Configurations.
  • The ability to inject Start-of-Day (SOD) Records and Manual Fills has been deprecated beginning in X_TRADER® API 7.17.0. This functionality has been added to TT API 7.17.1.
For a more comprehensive discussion of these changes, see What's New in X_TRADER® API 7.17.

Why Should I Upgrade?


X_TRADER® API 7.17.80 is the minimum supported version for MiFID II compliance. For details on Customer Defaults, Algo Defaults and MiFID related updates; please refer to X_TRADER Support for MiFID II.

This release includes additional compliance fields which may be required by some applications.

System Requirements


X_TRADER® API 7.17.80 is the minimum supported version for MiFID II compliance. For details on Customer Defaults, Algo Defaults and MiFID related updates; please refer to X_TRADER Support for MiFID II.

This release includes additional compliance fields which may be required by some applications.

Installation Notes

X_TRADER will continue to be packaged with the 32-bit version of XTAPI. Customers must uninstall 32-bit X_TRADER® API before installing 64-bit XTAPI.

Enhancements

  1. Orders / Fills
    1. Added further compliance fields to allow API users to specify whether the application can be classified as an algo. (Ref 234694)

Fixes

Known Issues

  1. Common
    1. The Market Explorer API is not compatible with 64-bit applications. (Ref 229127)

  2. Additional Notes
    1. Microsoft Excel 2013 64-bit has an issue which will cause memory to grow when used in combination with the X_TRADER® API 64-bit RTD Server. When using the X_TRADER® API 64-bit RTD Server, customers are advised to use Microsoft Excel 2010 64-bit.